import React from 'react';
import { Store } from 'redux';
import { Store as CurrentStoreIns } from './types';

type DefaultContextProps = {
  store: CurrentStoreIns | undefined;
  parentStore: Store<any> | undefined;
  name: string;
}

const defaultValue: DefaultContextProps = {
  store: undefined,
  parentStore: undefined,
  name: ''
};
const Context = React.createContext(defaultValue);

export default Context;
